[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TProviderFlag

What to odo with fields when applying updates

## Declaration

Source position: db.pas line 64

`type TProviderFlag = (`
`pfInUpdate,` |  | Changes to the field should be propagated to the database.
`pfInWhere,` |  | Field should be used in the WHERE clause of an update statement in case of upWhereChanged.
`pfInKey,` |  | Field is a key field and used in the WHERE clause of an update statement
`pfHidden` |  |
`);`

## Description

TProviderFlag describes how the field should be used when applying updates from a dataset to the database. Each field of a TDataset has one or more of these flags.

## See also

TProviderFlags |  | Set of TProviderFlag flags

Documentation generated on: Feb 26 2014